Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
Dernière révision Les deux révisions suivantes
php [Le 02/06/2022, 13:30]
134.214.206.249 PhpBrew pour plusieurs version PHP
php [Le 12/08/2022, 03:59]
krodelabestiole [Conflits potentiels entre plusieurs versions de PHP] + phpbrew
Ligne 32: Ligne 32:
 Il peut-être utile de disposer de plusieurs version de PHP sur une machine de développement (sur un serveur aussi… mais on aura plutôt recourt à [[:​docker]]),​ par exemple pour travailler tantôt avec une application ancienne avec un framework ou un CMS nécessitant un php7.2 par exemple, et tantôt avec la dernière version (php8.1 par exemple) pour démarrer ou mettre à niveau un développement. Il peut-être utile de disposer de plusieurs version de PHP sur une machine de développement (sur un serveur aussi… mais on aura plutôt recourt à [[:​docker]]),​ par exemple pour travailler tantôt avec une application ancienne avec un framework ou un CMS nécessitant un php7.2 par exemple, et tantôt avec la dernière version (php8.1 par exemple) pour démarrer ou mettre à niveau un développement.
  
-La bonne pratique pour faire cela est d'​utiliser [[https://​phpbrew.github.io/​phpbrew/​|PHPBrew]]. Un trés bon tutoriel est accessible sur [[https://​grafikart.fr/​tutoriels/​phpbrew-multiple-php-versions-1097|grafikart - tuto phpbrew]]+La bonne pratique pour faire cela est d'​utiliser [[:​PHPBrew]]
  
 ===== Modules ===== ===== Modules =====
Ligne 202: Ligne 202:
 ==== Conflits potentiels entre plusieurs versions de PHP ==== ==== Conflits potentiels entre plusieurs versions de PHP ====
  
-Il est possible que plusieurs versions de PHP soient installées simultanément,​ par ex. après une mise à jour majeure d'​ubuntu si vous avez spécifié le numéro de version de PHP lors de l'​installation des paquets, ou si vous avez ajouté un PPA exotique pour installer une version spécifique de PHP (mauvaise idée, il vaut mieux dans ce cas utiliser [[:​docker_lamp|docker]]).\\+Il est possible que plusieurs versions de PHP soient installées simultanément,​ par ex. après une mise à jour majeure d'​ubuntu si vous avez spécifié le numéro de version de PHP lors de l'​installation des paquets, ou si vous avez ajouté un PPA exotique pour installer une version spécifique de PHP (le PPA d'//​Ondřej Surý// pour ne pas le nommer, ​mauvaise idée, il vaut mieux dans ce cas utiliser [[:​docker_lamp|docker]], ou éventuellement [[:PHPBrew]]).\\
 Cela peut par ex. rendre des modules de PHP inaccessibles alors qu'ils semblent bien installés. Cela peut par ex. rendre des modules de PHP inaccessibles alors qu'ils semblent bien installés.
  
  • php.txt
  • Dernière modification: Le 11/09/2022, 10:34
  • par moths-art